#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

int SpojiDvaBroja(int prvi, int drugi)
{
	int tezina = 1;
	while (tezina <= drugi)
		tezina *= 10;
	return prvi * tezina + drugi;
}

int main()
{
	int brojevi[3];
	for (int i = 0; i < 3; i++)
		cin >> brojevi[i];
	sort(brojevi, brojevi + 3);
	int max = SpojiDvaBroja(SpojiDvaBroja(brojevi[0], brojevi[1]), brojevi[2]);
	while (next_permutation(brojevi, brojevi + 3))
	{
		int temp = SpojiDvaBroja(SpojiDvaBroja(brojevi[0], brojevi[1]), brojevi[2]);
		if (temp > max)
			max = temp;
	}
	cout << max;
}